<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.ddf.EscherRecord (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.ddf.EscherRecord (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/ddf/EscherRecord.html" title="class in org.apache.poi.ddf">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ddf/class-use/EscherRecord.html" target="_top">Frames</a>
        </li>
        <li><a href="EscherRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.ddf.EscherRecord" class="title">Uses of Class<br>org.apache.poi.ddf.EscherRecord
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                    title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ddf">org.apache.poi.ddf</a></td>
                    <td class="colLast">
                        <div class="block">This package contains classes for decoding the Microsoft Office
                            Drawing format otherwise known as escher henceforth known in POI
                            as the Dreadful Drawing Format.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpbf.model">org.apache.poi.hpbf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.dev">org.apache.poi.hslf.dev</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.record">org.apache.poi.hslf.record</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.model">org.apache.poi.hssf.model</a></td>
                    <td class="colLast">
                        <div class="block">Provides low level API structures for reading, writing, modifying XLS
                            files.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record">org.apache.poi.hssf.record</a></td>
                    <td class="colLast">
                        <div class="block">Record package contains class representations for XLS binary strutures.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.model">org.apache.poi.hwpf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.ddf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                   title="class in org.apache.poi.ddf">EscherRecord</a> in <a
                            href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                        title="class in org.apache.poi.ddf">EscherRecord</a> in <a
                                href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/AbstractEscherOptRecord.html"
                                    title="class in org.apache.poi.ddf">AbstractEscherOptRecord</a></span></code>
                                <div class="block">Common abstract class for <a
                                        href="../../../../../org/apache/poi/ddf/EscherOptRecord.html"
                                        title="class in org.apache.poi.ddf"><code>EscherOptRecord</code></a> and
                                    <a href="../../../../../org/apache/poi/ddf/EscherTertiaryOptRecord.html"
                                       title="class in org.apache.poi.ddf"><code>EscherTertiaryOptRecord</code></a>
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherBitmapBlip.html"
                                    title="class in org.apache.poi.ddf">EscherBitmapBlip</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherBlipRecord.html"
                                    title="class in org.apache.poi.ddf">EscherBlipRecord</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherBSERecord.html"
                                    title="class in org.apache.poi.ddf">EscherBSERecord</a></span></code>
                                <div class="block">The BSE record is related closely to the
                                    <code>EscherBlipRecord</code> and stores
                                    extra information about the blip.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherChildAnchorRecord.html"
                                    title="class in org.apache.poi.ddf">EscherChildAnchorRecord</a></span></code>
                                <div class="block">The escher child achor record is used to specify the position of a
                                    shape under an
                                    existing group.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherClientAnchorRecord.html"
                                    title="class in org.apache.poi.ddf">EscherClientAnchorRecord</a></span></code>
                                <div class="block">The escher client anchor specifies which rows and cells the shape is
                                    bound to as well as
                                    the offsets within those cells.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherClientDataRecord.html"
                                    title="class in org.apache.poi.ddf">EscherClientDataRecord</a></span></code>
                                <div class="block">The EscherClientDataRecord is used to store client specific data
                                    about the position of a
                                    shape within a container.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a></span></code>
                                <div class="block">Escher container records store other escher records as children.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherDggRecord.html"
                                    title="class in org.apache.poi.ddf">EscherDggRecord</a></span></code>
                                <div class="block">This record defines the drawing groups used for a particular sheet.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherDgRecord.html"
                                    title="class in org.apache.poi.ddf">EscherDgRecord</a></span></code>
                                <div class="block">This record simply holds the number of shapes in the drawing group
                                    and the
                                    last shape id used for this drawing group.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherMetafileBlip.html"
                                    title="class in org.apache.poi.ddf">EscherMetafileBlip</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherOptRecord.html"
                                    title="class in org.apache.poi.ddf">EscherOptRecord</a></span></code>
                                <div class="block">The opt record is used to store property values for a shape.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherPictBlip.html"
                                    title="class in org.apache.poi.ddf">EscherPictBlip</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherSpgrRecord.html"
                                    title="class in org.apache.poi.ddf">EscherSpgrRecord</a></span></code>
                                <div class="block">The spgr record defines information about a shape group.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherSplitMenuColorsRecord.html"
                                    title="class in org.apache.poi.ddf">EscherSplitMenuColorsRecord</a></span></code>
                                <div class="block">A list of the most recently used colours for the drawings contained
                                    in
                                    this document.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherSpRecord.html"
                                    title="class in org.apache.poi.ddf">EscherSpRecord</a></span></code>
                                <div class="block">Together the the EscherOptRecord this record defines some of the
                                    basic
                                    properties of a shape.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherTertiaryOptRecord.html"
                                    title="class in org.apache.poi.ddf">EscherTertiaryOptRecord</a></span></code>
                                <div class="block">"The OfficeArtTertiaryFOPT record specifies a table of
                                    OfficeArtRGFOPTE properties, as defined in section 2.3.1."
                                    -- [MS-ODRAW] -- v20110608; Office Drawing Binary File Format
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherTextboxRecord.html"
                                    title="class in org.apache.poi.ddf">EscherTextboxRecord</a></span></code>
                                <div class="block">Holds data from the parent application.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/UnknownEscherRecord.html"
                                    title="class in org.apache.poi.ddf">UnknownEscherRecord</a></span></code>
                                <div class="block">This record is used whenever a escher record is encountered that
                                    we do not explicitly support.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> with type parameters of type <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>&lt;T extends <a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;<br>T</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherContainerRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html#getChildById-short-">getChildById</a></span>(short&nbsp;recordId)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> that return <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                          title="class in org.apache.poi.ddf">EscherRecord</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">EscherRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html#clone--">clone</a></span>()</code>
                                <div class="block">Escher records may need to be clonable in the future.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                          title="class in org.apache.poi.ddf">EscherRecord</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">EscherRecordFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html#createRecord-byte:A-int-">createRecord</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset)</code>
                                <div class="block">Generates an escher record including any children contained under
                                    that record.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                          title="class in org.apache.poi.ddf">EscherRecord</a></code>
                            </td>
                            <td class="colLast"><span
                                    class="typeNameLabel">DefaultEscherRecordFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/DefaultEscherRecordFactory.html#createRecord-byte:A-int-">createRecord</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                          title="class in org.apache.poi.ddf">EscherRecord</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">EscherContainerRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html#getChild-int-">getChild</a></span>(int&nbsp;index)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                          title="class in org.apache.poi.ddf">EscherRecord</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">EscherRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html#getChild-int-">getChild</a></span>(int&nbsp;index)</code>
                                <div class="block">Returns the indexed child record.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> that return types with arguments of type <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherContainerRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html#getChildRecords--">getChildRecords</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">UnknownEscherRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/UnknownEscherRecord.html#getChildRecords--">getChildRecords</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html#getChildRecords--">getChildRecords</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherContainerRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html#iterator--">iterator</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static java.util.Map&lt;java.lang.Short,java.lang.reflect.Constructor&lt;?
                                extends <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                           title="class in org.apache.poi.ddf">EscherRecord</a>&gt;&gt;</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">DefaultEscherRecordFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/DefaultEscherRecordFactory.html#recordsToMap-java.lang.Class:A-">recordsToMap</a></span>(java.lang.Class&lt;?&gt;[]&nbsp;recClasses)</code>
                                <div class="block">Converts from a list of classes into a map that contains the record
                                    id as the key and
                                    the Constructor in the value part of the map.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> with parameters of type <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherContainerRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html#addChildBefore-org.apache.poi.ddf.EscherRecord-int-">addChildBefore</a></span>(<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;record,
                                int&nbsp;insertBeforeRecordId)</code>
                                <div class="block">Add a child record before the record with given recordId</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherContainerRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html#addChildRecord-org.apache.poi.ddf.EscherRecord-">addChildRecord</a></span>(<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;record)</code>
                                <div class="block">Append a child record</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">UnknownEscherRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/UnknownEscherRecord.html#addChildRecord-org.apache.poi.ddf.EscherRecord-">addChildRecord</a></span>(<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;childRecord)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">NullEscherSerializationListener.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/NullEscherSerializationListener.html#afterRecordSerialize-int-short-int-org.apache.poi.ddf.EscherRecord-">afterRecordSerialize</a></span>(int&nbsp;offset,
                                short&nbsp;recordId,
                                int&nbsp;size,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                   title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;record)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">EscherSerializationListener.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherSerializationListener.html#afterRecordSerialize-int-short-int-org.apache.poi.ddf.EscherRecord-">afterRecordSerialize</a></span>(int&nbsp;offset,
                                short&nbsp;recordId,
                                int&nbsp;size,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                   title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;record)</code>
                                <div class="block">Fired after a record has been serialized.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">NullEscherSerializationListener.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/NullEscherSerializationListener.html#beforeRecordSerialize-int-short-org.apache.poi.ddf.EscherRecord-">beforeRecordSerialize</a></span>(int&nbsp;offset,
                                short&nbsp;recordId,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                   title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;record)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">EscherSerializationListener.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherSerializationListener.html#beforeRecordSerialize-int-short-org.apache.poi.ddf.EscherRecord-">beforeRecordSerialize</a></span>(int&nbsp;offset,
                                short&nbsp;recordId,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                   title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;record)</code>
                                <div class="block">Fired before a given escher record is serialized.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherContainerRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html#removeChildRecord-org.apache.poi.ddf.EscherRecord-">removeChildRecord</a></span>(<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;toBeRemoved)</code>
                                <div class="block">Removes the given escher record from the child list</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Method parameters in <a
                                href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> with type arguments of type <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherContainerRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html#getRecordsById-short-java.util.List-">getRecordsById</a></span>(short&nbsp;recordId,
                                java.util.List&lt;<a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                     title="class in org.apache.poi.ddf">EscherRecord</a>&gt;&nbsp;out)</code>
                                <div class="block">Recursively find records with the specified record ID</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherContainerRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html#setChildRecords-java.util.List-">setChildRecords</a></span>(java.util.List&lt;<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;&nbsp;childRecords)</code>
                                <div class="block">replaces the internal child list with the contents of the supplied
                                    <tt>childRecords</tt></div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">UnknownEscherRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/UnknownEscherRecord.html#setChildRecords-java.util.List-">setChildRecords</a></span>(java.util.List&lt;<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;&nbsp;childRecords)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html#setChildRecords-java.util.List-">setChildRecords</a></span>(java.util.List&lt;<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;&nbsp;childRecords)</code>
                                <div class="block">Sets the child records for this record.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpbf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                   title="class in org.apache.poi.ddf">EscherRecord</a> in <a
                            href="../../../../../org/apache/poi/hpbf/model/package-summary.html">org.apache.poi.hpbf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hpbf/model/package-summary.html">org.apache.poi.hpbf.model</a> that return <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                          title="class in org.apache.poi.ddf">EscherRecord</a>[]</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">EscherPart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpbf/model/EscherPart.html#getEscherRecords--">getEscherRecords</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.dev">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                   title="class in org.apache.poi.ddf">EscherRecord</a> in <a
                            href="../../../../../org/apache/poi/hslf/dev/package-summary.html">org.apache.poi.hslf.dev</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/hslf/dev/package-summary.html">org.apache.poi.hslf.dev</a> with parameters of type <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SlideShowRecordDumper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/dev/SlideShowRecordDumper.html#printEscherRecord-org.apache.poi.ddf.EscherRecord-int-">printEscherRecord</a></span>(<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;er,
                                int&nbsp;indent)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.record">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                   title="class in org.apache.poi.ddf">EscherRecord</a> in <a
                            href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                        title="class in org.apache.poi.ddf">EscherRecord</a> in <a
                                href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/EscherPlaceholder.html"
                                    title="class in org.apache.poi.hslf.record">EscherPlaceholder</a></span></code>
                                <div class="block">An atom record that specifies whether a shape is a placeholder
                                    shape.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HSLFEscherClientDataRecord.html"
                                    title="class in org.apache.poi.hslf.record">HSLFEscherClientDataRecord</a></span></code>
                                <div class="block">An atom record that specifies whether a shape is a placeholder
                                    shape.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a> that return <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                          title="class in org.apache.poi.ddf">EscherRecord</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSLFEscherRecordFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/HSLFEscherRecordFactory.html#createRecord-byte:A-int-">createRecord</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">PPDrawing.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/PPDrawing.html#findFirstEscherRecordOfType-org.apache.poi.hslf.record.RecordTypes-org.apache.poi.ddf.EscherContainerRecord-">findFirstEscherRecordOfType</a></span>(<a
                                    href="../../../../../org/apache/poi/hslf/record/RecordTypes.html"
                                    title="enum in org.apache.poi.hslf.record">RecordTypes</a>&nbsp;type,
                                <a href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                   title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a> that return types with arguments of type <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">PPDrawing.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/PPDrawing.html#getEscherRecords--">getEscherRecords</a></span>()</code>
                                <div class="block">Get access to the underlying Escher Records</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                   title="class in org.apache.poi.ddf">EscherRecord</a> in <a
                            href="../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with type parameters of type <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static &lt;T extends <a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;<br>T</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherChild-org.apache.poi.ddf.EscherContainerRecord-int-">getEscherChild</a></span>(<a
                                    href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;owner,
                                int&nbsp;recordId)</code>
                                <div class="block">Helper method to return escher child by record ID</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static &lt;T extends <a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;<br>T</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherChild-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.hslf.record.RecordTypes-">getEscherChild</a></span>(<a
                                    href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;owner,
                                <a href="../../../../../org/apache/poi/hslf/record/RecordTypes.html"
                                   title="enum in org.apache.poi.hslf.record">RecordTypes</a>&nbsp;recordId)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>&lt;T extends <a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;<br>T</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFGroupShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#getEscherChild-int-">getEscherChild</a></span>(int&nbsp;recordId)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>&lt;T extends <a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;<br>T</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherChild-int-">getEscherChild</a></span>(int&nbsp;recordId)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>&lt;T extends <a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;<br>T</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherChild-org.apache.poi.hslf.record.RecordTypes-">getEscherChild</a></span>(<a
                                    href="../../../../../org/apache/poi/hslf/record/RecordTypes.html"
                                    title="enum in org.apache.poi.hslf.record">RecordTypes</a>&nbsp;recordId)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                   title="class in org.apache.poi.ddf">EscherRecord</a> in <a
                            href="../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a> that return <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">ConvertAnchor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/model/ConvertAnchor.html#createAnchor-org.apache.poi.hssf.usermodel.HSSFAnchor-">createAnchor</a></span>(<a
                                    href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;userAnchor)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.record">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                   title="class in org.apache.poi.ddf">EscherRecord</a> in <a
                            href="../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a> that return <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                          title="class in org.apache.poi.ddf">EscherRecord</a></code>
                            </td>
                            <td class="colLast"><span
                                    class="typeNameLabel">AbstractEscherHolderRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#findFirstWithId-short-">findFirstWithId</a></span>(short&nbsp;id)</code>
                                <div class="block">Descends into all our children, returning the
                                    first EscherRecord with the given id, or null
                                    if none found
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                          title="class in org.apache.poi.ddf">EscherRecord</a></code>
                            </td>
                            <td class="colLast"><span
                                    class="typeNameLabel">AbstractEscherHolderRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#getEscherRecord-int-">getEscherRecord</a></span>(int&nbsp;index)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a> that return types with arguments of type <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">AbstractEscherHolderRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#getEscherRecords--">getEscherRecords</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.Map&lt;<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>,<a
                                    href="../../../../../org/apache/poi/hssf/record/Record.html"
                                    title="class in org.apache.poi.hssf.record">Record</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/EscherAggregate.html#getShapeToObjMapping--">getShapeToObjMapping</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a> with parameters of type <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">AbstractEscherHolderRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#addEscherRecord-org.apache.poi.ddf.EscherRecord-">addEscherRecord</a></span>(<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;element)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">AbstractEscherHolderRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#addEscherRecord-int-org.apache.poi.ddf.EscherRecord-">addEscherRecord</a></span>(int&nbsp;index,
                                <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                   title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;element)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/EscherAggregate.html#associateShapeToObjRecord-org.apache.poi.ddf.EscherRecord-org.apache.poi.hssf.record.Record-">associateShapeToObjRecord</a></span>(<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;r,
                                <a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                   title="class in org.apache.poi.hssf.record">Record</a>&nbsp;objRecord)</code>
                                <div class="block">Associates an escher record to an OBJ record or a TXO record.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/EscherAggregate.html#removeShapeToObjRecord-org.apache.poi.ddf.EscherRecord-">removeShapeToObjRecord</a></span>(<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&nbsp;rec)</code>
                                <div class="block">Remove echerRecord and associated to it Obj or TextObj record</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                   title="class in org.apache.poi.ddf">EscherRecord</a> in <a
                            href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFClientAnchor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#getEscherAnchor--">getEscherAnchor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFChildAnchor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html#getEscherAnchor--">getEscherAnchor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected abstract <a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFAnchor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html#getEscherAnchor--">getEscherAnchor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                   title="class in org.apache.poi.ddf">EscherRecord</a> in <a
                            href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> that return <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                          title="class in org.apache.poi.ddf">EscherRecord</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">EscherRecordHolder.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/model/EscherRecordHolder.html#findFirstWithId-short-">findFirstWithId</a></span>(short&nbsp;id)</code>
                                <div class="block">Descends into all our children, returning the
                                    first EscherRecord with the given id, or null
                                    if none found
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> that return types with arguments of type <a
                                href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                title="class in org.apache.poi.ddf">EscherRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">PICFAndOfficeArtData.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/model/PICFAndOfficeArtData.html#getBlipRecords--">getBlipRecords</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                    title="class in org.apache.poi.ddf">EscherRecord</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherRecordHolder.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/model/EscherRecordHolder.html#getEscherRecords--">getEscherRecords</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/ddf/EscherRecord.html" title="class in org.apache.poi.ddf">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ddf/class-use/EscherRecord.html" target="_top">Frames</a>
        </li>
        <li><a href="EscherRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
